Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.util.concurrent
Class UncheckedTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.common.util.concurrent.UncheckedTimeoutException

All Implemented Interfaces:
  Serializable

    public class UncheckedTimeoutException

extends RuntimeException

Unchecked version of `TimeoutException`.

Since:
  1.0
Author:
  Kevin Bourrillion
See Also:
  Serialized Form

Constructor Summary
`UncheckedTimeoutException()`
`UncheckedTimeoutException(String message)`
`UncheckedTimeoutException(String message, Throwable cause)`
`UncheckedTimeoutException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UncheckedTimeoutException

    public UncheckedTimeoutException()

### UncheckedTimeoutException

    public UncheckedTimeoutException(String message)

### UncheckedTimeoutException

    public UncheckedTimeoutException(Throwable cause)

### UncheckedTimeoutException

    public UncheckedTimeoutException(String message,
                                     Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.